Index: /WAEUPCMS/Extensions/Install.py
===================================================================
--- /WAEUPCMS/Extensions/Install.py	(revision 1)
+++ /WAEUPCMS/Extensions/Install.py	(revision 1)
@@ -0,0 +1,57 @@
+#  Scientific African - Basis installation
+#  Archetypes based content types for Scientific African
+#  Copyright (c) 2004 - COM.lounge GbR / Scientific African e.V.
+#
+#  This program is free software; you can redistribute it and/or modify
+#  it under the terms of the GNU General Public License as published by
+#  the Free Software Foundation; either version 2 of the License, or
+#  (at your option) any later version.
+#
+#  This program is distributed in the hope that it will be useful,
+#  but WITHOUT ANY WARRANTY; without even the implied warranty of
+#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#  GNU General Public License for more details.
+#
+#  You should have received a copy of the GNU General Public License
+#  along with this program; if not, write to the Free Software
+#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+#
+"""
+
+$Id: $
+"""
+__author__  = ''
+__docformat__ = 'restructuredtext'
+
+from StringIO import StringIO
+
+from Products.WAEUP.config import PROJECTNAME, GLOBALS
+
+from Products.Archetypes import listTypes
+from Products.Archetypes.Extensions.utils import installTypes
+from Products.Archetypes.Extensions.utils import install_subskin
+from Products.CMFCore.utils import getToolByName
+
+def install(self):
+    out = StringIO()
+
+    typeInfo = listTypes(PROJECTNAME)
+    installTypes(self, out,
+                 typeInfo,
+                 PROJECTNAME)
+
+    install_subskin(self, out, GLOBALS)
+    registerStylesheets(self, out)
+
+
+
+
+    print >> out, 'Successfully installed %s' % PROJECTNAME
+
+    return out.getvalue()
+
+def registerStylesheets(self, out):
+    csstool = getToolByName(self, 'portal_css')
+    csstool.registerStylesheet('waeup.css', media="all", rendering='import')
+    print >> out, 'installed the Plone additional styles'
+
Index: /WAEUPCMS/Extensions/__init__.py
===================================================================
--- /WAEUPCMS/Extensions/__init__.py	(revision 1)
+++ /WAEUPCMS/Extensions/__init__.py	(revision 1)
@@ -0,0 +1,25 @@
+#  Scientific African - Basis Product
+#  Archetypes based content types for Scientific African
+#  Copyright (c) 2004 - COM.lounge GbR / Scientific African e.V.
+#
+#  This program is free software; you can redistribute it and/or modify
+#  it under the terms of the GNU General Public License as published by
+#  the Free Software Foundation; either version 2 of the License, or
+#  (at your option) any later version.
+#
+#  This program is distributed in the hope that it will be useful,
+#  but WITHOUT ANY WARRANTY; without even the implied warranty of
+#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#  GNU General Public License for more details.
+#
+#  You should have received a copy of the GNU General Public License
+#  along with this program; if not, write to the Free Software
+#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+#
+"""
+
+$Id: $
+"""
+__author__  = ''
+__docformat__ = 'restructuredtext'
+
Index: /WAEUPCMS/Extensions/changeuseractions.py
===================================================================
--- /WAEUPCMS/Extensions/changeuseractions.py	(revision 1)
+++ /WAEUPCMS/Extensions/changeuseractions.py	(revision 1)
@@ -0,0 +1,79 @@
+from Products.CMFCore.utils import getToolByName
+
+def modifyMTool(self):
+    mt=getToolByName(self, 'portal_membership')
+
+    acts=list(mt.listActions())
+    selection=[acts.index(a) for a in acts]
+    mt.deleteActions(selection)
+
+    mt.addAction('mystuff'
+                ,'My Folder'
+                ,'string:${portal/portal_membership/getHomeUrl}/folder_contents'
+                ,'python: member and portal.portal_membership.getHomeFolder()'
+                ,'View'
+                ,'user'
+                , visible=1)
+    mt.addAction('preferences'
+                ,'My Preferences'
+                ,'string:${portal_url}/plone_memberprefs_panel'
+                ,'member'
+                ,'View'
+                ,'user'
+                , visible=1)
+    mt.addAction('login'
+                ,'Log in'
+                ,'python:portal_url.replace("http:","https:")+"/login_form"'
+                ,'not: member'
+                ,'View'
+                ,'user'
+                , visible=1)
+    mt.addAction('plone_setup'
+                ,'Site Setup'
+                ,'string:${portal_url}/plone_control_panel'
+                ,''
+                ,'Manage portal'
+                ,'user'
+                , visible=1)
+    mt.addAction('svnrepos'
+                ,'SVN Repositories'
+                ,'string:https://svn.waeup.org/repos/'
+                ,'member'
+                ,'View'
+                ,'user'
+                , visible=1)
+    mt.addAction('svninter'
+                ,'SVN Web Interface'
+                ,'string:https://svn.waeup.org/'
+                ,'member'
+                ,'View'
+                ,'user'
+                , visible=1)
+    mt.addAction('usermanagement'
+                ,'User Management System'
+                ,'string:https://waeup.org:20000/'
+                ,'member'
+                ,'View'
+                ,'user'
+                , visible=1)
+    mt.addAction('ldap'
+                ,'LDAP Server'
+                ,'string:https://ldap.waeup.org/'
+                ,'member'
+                ,'View'
+                ,'user'
+                , visible=1)
+    mt.addAction('webmail'
+                ,'Webmail'
+                ,'string:https://mail.waeup.org'
+                ,'member'
+                ,'View'
+                ,'user'
+                , visible=1)
+    mt.addAction('logout'
+                ,'Log out'
+                ,'python:portal_url.replace("https:","http:")+"/logout"'
+                ,'member'
+                ,'View'
+                ,'user'
+                , visible=1)
Index: /WAEUPCMS/LICENSE.GPL
===================================================================
--- /WAEUPCMS/LICENSE.GPL	(revision 1)
+++ /WAEUPCMS/LICENSE.GPL	(revision 1)
@@ -0,0 +1,225 @@
+		    GNU GENERAL PUBLIC LICENSE
+   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
+
+  0. This License applies to any program or other work which contains
+a notice placed by the copyright holder saying it may be distributed
+under the terms of this General Public License.  The "Program", below,
+refers to any such program or work, and a "work based on the Program"
+means either the Program or any derivative work under copyright law:
+that is to say, a work containing the Program or a portion of it,
+either verbatim or with modifications and/or translated into another
+language.  (Hereinafter, translation is included without limitation in
+the term "modification".)  Each licensee is addressed as "you".
+
+Activities other than copying, distribution and modification are not
+covered by this License; they are outside its scope.  The act of
+running the Program is not restricted, and the output from the Program
+is covered only if its contents constitute a work based on the
+Program (independent of having been made by running the Program).
+Whether that is true depends on what the Program does.
+
+  1. You may copy and distribute verbatim copies of the Program's
+source code as you receive it, in any medium, provided that you
+conspicuously and appropriately publish on each copy an appropriate
+copyright notice and disclaimer of warranty; keep intact all the
+notices that refer to this License and to the absence of any warranty;
+and give any other recipients of the Program a copy of this License
+along with the Program.
+
+You may charge a fee for the physical act of transferring a copy, and
+you may at your option offer warranty protection in exchange for a fee.
+
+  2. You may modify your copy or copies of the Program or any portion
+of it, thus forming a work based on the Program, and copy and
+distribute such modifications or work under the terms of Section 1
+above, provided that you also meet all of these conditions:
+
+    a) You must cause the modified files to carry prominent notices
+    stating that you changed the files and the date of any change.
+
+    b) You must cause any work that you distribute or publish, that in
+    whole or in part contains or is derived from the Program or any
+    part thereof, to be licensed as a whole at no charge to all third
+    parties under the terms of this License.
+
+    c) If the modified program normally reads commands interactively
+    when run, you must cause it, when started running for such
+    interactive use in the most ordinary way, to print or display an
+    announcement including an appropriate copyright notice and a
+    notice that there is no warranty (or else, saying that you provide
+    a warranty) and that users may redistribute the program under
+    these conditions, and telling the user how to view a copy of this
+    License.  (Exception: if the Program itself is interactive but
+    does not normally print such an announcement, your work based on
+    the Program is not required to print an announcement.)
+
+
+These requirements apply to the modified work as a whole.  If
+identifiable sections of that work are not derived from the Program,
+and can be reasonably considered independent and separate works in
+themselves, then this License, and its terms, do not apply to those
+sections when you distribute them as separate works.  But when you
+distribute the same sections as part of a whole which is a work based
+on the Program, the distribution of the whole must be on the terms of
+this License, whose permissions for other licensees extend to the
+entire whole, and thus to each and every part regardless of who wrote it.
+
+Thus, it is not the intent of this section to claim rights or contest
+your rights to work written entirely by you; rather, the intent is to
+exercise the right to control the distribution of derivative or
+collective works based on the Program.
+
+In addition, mere aggregation of another work not based on the Program
+with the Program (or with a work based on the Program) on a volume of
+a storage or distribution medium does not bring the other work under
+the scope of this License.
+
+  3. You may copy and distribute the Program (or a work based on it,
+under Section 2) in object code or executable form under the terms of
+Sections 1 and 2 above provided that you also do one of the following:
+
+    a) Accompany it with the complete corresponding machine-readable
+    source code, which must be distributed under the terms of Sections
+    1 and 2 above on a medium customarily used for software interchange; or,
+
+    b) Accompany it with a written offer, valid for at least three
+    years, to give any third party, for a charge no more than your
+    cost of physically performing source distribution, a complete
+    machine-readable copy of the corresponding source code, to be
+    distributed under the terms of Sections 1 and 2 above on a medium
+    customarily used for software interchange; or,
+
+    c) Accompany it with the information you received as to the offer
+    to distribute corresponding source code.  (This alternative is
+    allowed only for noncommercial distribution and only if you
+    received the program in object code or executable form with such
+    an offer, in accord with Subsection b above.)
+
+The source code for a work means the preferred form of the work for
+making modifications to it.  For an executable work, complete source
+code means all the source code for all modules it contains, plus any
+associated interface definition files, plus the scripts used to
+control compilation and installation of the executable.  However, as a
+special exception, the source code distributed need not include
+anything that is normally distributed (in either source or binary
+form) with the major components (compiler, kernel, and so on) of the
+operating system on which the executable runs, unless that component
+itself accompanies the executable.
+
+If distribution of executable or object code is made by offering
+access to copy from a designated place, then offering equivalent
+access to copy the source code from the same place counts as
+distribution of the source code, even though third parties are not
+compelled to copy the source along with the object code.
+
+
+  4. You may not copy, modify, sublicense, or distribute the Program
+except as expressly provided under this License.  Any attempt
+otherwise to copy, modify, sublicense or distribute the Program is
+void, and will automatically terminate your rights under this License.
+However, parties who have received copies, or rights, from you under
+this License will not have their licenses terminated so long as such
+parties remain in full compliance.
+
+  5. You are not required to accept this License, since you have not
+signed it.  However, nothing else grants you permission to modify or
+distribute the Program or its derivative works.  These actions are
+prohibited by law if you do not accept this License.  Therefore, by
+modifying or distributing the Program (or any work based on the
+Program), you indicate your acceptance of this License to do so, and
+all its terms and conditions for copying, distributing or modifying
+the Program or works based on it.
+
+  6. Each time you redistribute the Program (or any work based on the
+Program), the recipient automatically receives a license from the
+original licensor to copy, distribute or modify the Program subject to
+these terms and conditions.  You may not impose any further
+restrictions on the recipients' exercise of the rights granted herein.
+You are not responsible for enforcing compliance by third parties to
+this License.
+
+  7. If, as a consequence of a court judgment or allegation of patent
+infringement or for any other reason (not limited to patent issues),
+conditions are imposed on you (whether by court order, agreement or
+otherwise) that contradict the conditions of this License, they do not
+excuse you from the conditions of this License.  If you cannot
+distribute so as to satisfy simultaneously your obligations under this
+License and any other pertinent obligations, then as a consequence you
+may not distribute the Program at all.  For example, if a patent
+license would not permit royalty-free redistribution of the Program by
+all those who receive copies directly or indirectly through you, then
+the only way you could satisfy both it and this License would be to
+refrain entirely from distribution of the Program.
+
+If any portion of this section is held invalid or unenforceable under
+any particular circumstance, the balance of the section is intended to
+apply and the section as a whole is intended to apply in other
+circumstances.
+
+It is not the purpose of this section to induce you to infringe any
+patents or other property right claims or to contest validity of any
+such claims; this section has the sole purpose of protecting the
+integrity of the free software distribution system, which is
+implemented by public license practices.  Many people have made
+generous contributions to the wide range of software distributed
+through that system in reliance on consistent application of that
+system; it is up to the author/donor to decide if he or she is willing
+to distribute software through any other system and a licensee cannot
+impose that choice.
+
+This section is intended to make thoroughly clear what is believed to
+be a consequence of the rest of this License.
+
+
+  8. If the distribution and/or use of the Program is restricted in
+certain countries either by patents or by copyrighted interfaces, the
+original copyright holder who places the Program under this License
+may add an explicit geographical distribution limitation excluding
+those countries, so that distribution is permitted only in or among
+countries not thus excluded.  In such case, this License incorporates
+the limitation as if written in the body of this License.
+
+  9. The Free Software Foundation may publish revised and/or new versions
+of the General Public License from time to time.  Such new versions will
+be similar in spirit to the present version, but may differ in detail to
+address new problems or concerns.
+
+Each version is given a distinguishing version number.  If the Program
+specifies a version number of this License which applies to it and "any
+later version", you have the option of following the terms and conditions
+either of that version or of any later version published by the Free
+Software Foundation.  If the Program does not specify a version number of
+this License, you may choose any version ever published by the Free Software
+Foundation.
+
+  10. If you wish to incorporate parts of the Program into other free
+programs whose distribution conditions are different, write to the author
+to ask for permission.  For software which is copyrighted by the Free
+Software Foundation, write to the Free Software Foundation; we sometimes
+make exceptions for this.  Our decision will be guided by the two goals
+of preserving the free status of all derivatives of our free software and
+of promoting the sharing and reuse of software generally.
+
+			    NO WARRANTY
+
+  11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY
+FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW.  EXCEPT WHEN
+OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES
+PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED
+OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE RISK AS
+TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU.  SHOULD THE
+PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING,
+REPAIR OR CORRECTION.
+
+  12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING
+WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR
+REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,
+INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING
+OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED
+TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY
+YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER
+PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE
+POSSIBILITY OF SUCH DAMAGES.
+
+		     END OF TERMS AND CONDITIONS
Index: /WAEUPCMS/__init__.py
===================================================================
--- /WAEUPCMS/__init__.py	(revision 1)
+++ /WAEUPCMS/__init__.py	(revision 1)
@@ -0,0 +1,55 @@
+#  Scientific African - Basis Product
+#  Archetypes based content types for Scientific African
+#  Copyright (c) 2004 - COM.lounge GbR / Scientific African e.V.
+#
+#  This program is free software; you can redistribute it and/or modify
+#  it under the terms of the GNU General Public License as published by
+#  the Free Software Foundation; either version 2 of the License, or
+#  (at your option) any later version.
+#
+#  This program is distributed in the hope that it will be useful,
+#  but WITHOUT ANY WARRANTY; without even the implied warranty of
+#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#  GNU General Public License for more details.
+#
+#  You should have received a copy of the GNU General Public License
+#  along with this program; if not, write to the Free Software
+#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+#
+"""
+
+$Id: $
+"""
+__author__  = ''
+__docformat__ = 'restructuredtext'
+
+from Products.WAEUP.config import SKINS_DIR
+from Products.WAEUP.config import GLOBALS
+from Products.WAEUP.config import PROJECTNAME
+
+from Globals import package_home
+from Products.CMFCore import utils
+from Products.CMFCore.DirectoryView import registerDirectory
+from Products.Archetypes.public import listTypes
+from Products.Archetypes.public import process_types
+
+import Products.WAEUP.contents
+
+registerDirectory(SKINS_DIR, GLOBALS)
+
+def initialize(context):
+
+
+    listOfTypes = listTypes(PROJECTNAME)
+
+    content_types, constructors, ftis = process_types(
+        listOfTypes,
+        PROJECTNAME)
+
+    # other
+    utils.ContentInit(
+        PROJECTNAME + ' Content',
+        content_types = content_types,
+        extra_constructors = constructors,
+        fti = ftis,
+        ).initialize(context)
Index: /WAEUPCMS/config.py
===================================================================
--- /WAEUPCMS/config.py	(revision 1)
+++ /WAEUPCMS/config.py	(revision 1)
@@ -0,0 +1,35 @@
+#  Scientific African - Basis Product
+#  Archetypes based content types for Scientific African
+#  Copyright (c) 2004 - COM.lounge GbR / Scientific African e.V.
+#
+#  This program is free software; you can redistribute it and/or modify
+#  it under the terms of the GNU General Public License as published by
+#  the Free Software Foundation; either version 2 of the License, or
+#  (at your option) any later version.
+#
+#  This program is distributed in the hope that it will be useful,
+#  but WITHOUT ANY WARRANTY; without even the implied warranty of
+#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#  GNU General Public License for more details.
+#
+#  You should have received a copy of the GNU General Public License
+#  along with this program; if not, write to the Free Software
+#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+#
+"""configuration file
+
+$Id: $
+"""
+__author__  = 'Henrik Bettermann'
+__docformat__ = 'restructuredtext'
+
+
+from Products.CMFCore import CMFCorePermissions
+from Products.Archetypes.public import DisplayList
+
+PROJECTNAME = "WAEUP"
+SKINS_DIR = 'skins'
+
+GLOBALS = globals()
+
+
Index: /WAEUPCMS/contents/__init__.py
===================================================================
--- /WAEUPCMS/contents/__init__.py	(revision 1)
+++ /WAEUPCMS/contents/__init__.py	(revision 1)
@@ -0,0 +1,25 @@
+#  Scientific African - Basis Product
+#  Archetypes based content types for Scientific African
+#  Copyright (c) 2004 - COM.lounge GbR / Scientific African e.V.
+#
+#  This program is free software; you can redistribute it and/or modify
+#  it under the terms of the GNU General Public License as published by
+#  the Free Software Foundation; either version 2 of the License, or
+#  (at your option) any later version.
+#
+#  This program is distributed in the hope that it will be useful,
+#  but WITHOUT ANY WARRANTY; without even the implied warranty of
+#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#  GNU General Public License for more details.
+#
+#  You should have received a copy of the GNU General Public License
+#  along with this program; if not, write to the Free Software
+#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+#
+"""
+
+$Id: $
+"""
+__author__  = ''
+__docformat__ = 'restructuredtext'
+
Index: /WAEUPCMS/interfaces/__init__.py
===================================================================
--- /WAEUPCMS/interfaces/__init__.py	(revision 1)
+++ /WAEUPCMS/interfaces/__init__.py	(revision 1)
@@ -0,0 +1,25 @@
+#  Scientific African - Basis Product
+#  Archetypes based content types for Scientific African
+#  Copyright (c) 2004 - COM.lounge GbR / Scientific African e.V.
+#
+#  This program is free software; you can redistribute it and/or modify
+#  it under the terms of the GNU General Public License as published by
+#  the Free Software Foundation; either version 2 of the License, or
+#  (at your option) any later version.
+#
+#  This program is distributed in the hope that it will be useful,
+#  but WITHOUT ANY WARRANTY; without even the implied warranty of
+#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#  GNU General Public License for more details.
+#
+#  You should have received a copy of the GNU General Public License
+#  along with this program; if not, write to the Free Software
+#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+#
+"""
+
+$Id: $
+"""
+__author__  = ''
+__docformat__ = 'restructuredtext'
+
Index: /WAEUPCMS/skins/WAEUP/base_properties.props
===================================================================
--- /WAEUPCMS/skins/WAEUP/base_properties.props	(revision 1)
+++ /WAEUPCMS/skins/WAEUP/base_properties.props	(revision 1)
@@ -0,0 +1,32 @@
+backgroundColor:string=White
+borderStyle:string=solid
+borderStyleAnnotations:string=dashed
+borderWidth:string=1px
+columnOneWidth:string=16em
+columnTwoWidth:string=16em
+contentViewBackgroundColor:string=#FF8989
+contentViewBorderColor:string=#5A5A5A
+contentViewFontColor:string=black
+discreetColor:string=#76797c
+evenRowBackgroundColor:string=#E6E6E6
+fontBaseSize:string=69%
+fontColor:string=Black
+fontFamily:string="Lucida Grande", Verdana, Lucida, Helvetica, Arial, sans-serif
+fontSmallSize:string=85%
+globalBackgroundColor:string=white
+globalBorderColor:string=#5A5A5A
+globalFontColor:string=black
+headingFontFamily:string="Lucida Grande", Verdana, Lucida, Helvetica, Arial, sans-serif
+helpBackgroundColor:string=#ffffe1
+inputFontColor:string=Black
+linkActiveColor:string=Red
+linkColor:string=#00097C
+linkVisitedColor:string=#00097C
+logoName:string=logo.jpg
+notifyBackgroundColor:string=#ffce7b
+notifyBorderColor:string=#ffa500
+oddRowBackgroundColor:string=transparent
+plone_skin:string=Plone Default
+portalMinWidth:string=70em
+textTransform:string=none
+title:string=Plone's color, font, logo and border defaults
Index: /WAEUPCMS/skins/WAEUP/footer.pt
===================================================================
--- /WAEUPCMS/skins/WAEUP/footer.pt	(revision 1)
+++ /WAEUPCMS/skins/WAEUP/footer.pt	(revision 1)
@@ -0,0 +1,24 @@
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en-US" lang="en-US"
+      i18n:domain="plone">
+
+<body>
+
+<div id="portal-footer" metal:define-macro="portal_footer" i18n:domain="plone"
+     tal:define="portal_url here/portal_url">
+		 
+
+  <table summary="" width="100%" tal:define="now modules/DateTime/DateTime">
+    <tr>
+     <td align="left">
+        <a href="copyright">&copy; Copyright <span tal:content="string:${now/year} ${portal_title}">Copyright</span></a>
+     </td>
+     <td align="right">
+        <a href="#" tal:attributes="href string:${portal_url}/poweredby">Powered by ...</a>
+     </td>
+    </tr>
+  </table>
+
+</div>
+
+</body>
+</html>
Index: /WAEUPCMS/skins/WAEUP/main_template.pt
===================================================================
--- /WAEUPCMS/skins/WAEUP/main_template.pt	(revision 1)
+++ /WAEUPCMS/skins/WAEUP/main_template.pt	(revision 1)
@@ -0,0 +1,188 @@
+<metal:page define-macro="master"><metal:doctype define-slot="doctype"><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"></metal:doctype>
+<metal:block define-slot="top_slot" />
+<metal:block use-macro="here/global_defines/macros/defines" />
+
+<html xmlns="http://www.w3.org/1999/xhtml"
+      xml:lang="en"
+      lang="en"
+      tal:attributes="lang language;
+                      xml:lang language">
+
+  <head metal:use-macro="here/header/macros/html_header">
+
+    <metal:fillbase fill-slot="base">
+      <metal:baseslot define-slot="base">
+        <base href="" tal:attributes="href here/renderBase" />
+      </metal:baseslot>
+    </metal:fillbase>
+
+    <metal:headslot fill-slot="head_slot"
+                    tal:define="lang language;
+                                charset site_properties/default_charset|string:utf-8">
+
+      <metal:cache use-macro="here/global_cache_settings/macros/cacheheaders">
+        Get the global cache headers located in global_cache_settings.
+      </metal:cache>
+
+      <metal:headslot define-slot="head_slot" />
+      <tal:comment replace="nothing"> A slot where you can insert elements in the header from a template </tal:comment>
+    </metal:headslot>
+
+    <metal:cssslot fill-slot="css_slot">
+      <tal:comment replace="nothing"> A slot where you can insert CSS in the header from a template </tal:comment>
+      <metal:cssslot define-slot="css_slot" />
+    </metal:cssslot>
+
+    <metal:javascriptslot fill-slot="javascript_head_slot">
+      <tal:comment replace="nothing"> A slot where you can insert javascript in the header from a template </tal:comment>
+      <metal:javascriptslot define-slot="javascript_head_slot" />
+    </metal:javascriptslot>
+  </head>
+
+  <body tal:attributes="class here/getSectionFromURL;
+                        dir python:test(isRTL, 'rtl', 'ltr')">
+    <div id="visual-portal-wrapper">
+
+      <div id="portal-top" i18n:domain="plone">
+
+        <div id="portal-header">
+          <a class="hiddenStructure"
+             accesskey="2"
+             tal:attributes="href string:${request/ACTUAL_URL}#documentContent"
+             i18n:translate="label_skiptocontent">Skip to content</a>
+
+          <a class="hiddenStructure"
+             accesskey="6"
+             tal:attributes="href string:${request/ACTUAL_URL}#portlet-navigation-tree"
+             i18n:translate="label_skiptonavigation">Skip to navigation</a>
+
+             <div metal:use-macro="here/global_siteactions/macros/site_actions">
+               Site-wide actions (Contact, Sitemap, Help, Style Switcher etc)
+             </div>
+
+             <div metal:use-macro="here/global_searchbox/macros/quick_search">
+               The quicksearch box, normally placed at the top right
+             </div>
+
+             <a metal:use-macro="here/global_logo/macros/portal_logo">
+               The portal logo, linked to the portal root
+             </a>
+
+          </div>
+
+           <div metal:use-macro="here/global_pathbar/macros/path_bar">
+             The breadcrumb navigation ("you are here")
+           </div>
+      </div>
+
+      <div class="visualClear"><!-- --></div>
+
+      <tal:comment replace="nothing">
+      The wrapper table. It contains the three columns. There's a table-less
+      alternative in the plone_tableless skin layer that you can use if you
+      prefer layouts that don't use tables.
+      </tal:comment>
+
+      <table id="portal-columns">
+        <tbody>
+          <tr>
+            <tal:comment replace="nothing"> Start of the left column </tal:comment>
+            <td id="portal-column-one"
+                metal:define-slot="column_one_slot"
+                tal:condition="sl">
+              <div class="visualPadding">
+                <metal:portlets define-slot="portlets_one_slot">
+                  <metal:leftportlets use-macro="here/portlets_fetcher/macros/left_column">
+                    This instruction gets the portlets (boxes) for the left column.
+                  </metal:leftportlets>
+                </metal:portlets>
+                &nbsp;
+              </div>
+            </td>
+            <tal:comment replace="nothing"> End of the left column </tal:comment>
+
+            <tal:comment replace="nothing"> Start of main content block </tal:comment>
+            <td id="portal-column-content"
+                tal:define="tabindex python:Iterator(pos=0)">
+
+              <metal:block define-slot="content">
+                <div id="content"
+                     metal:define-macro="content"
+                     tal:define="show_border python:here.showEditableBorder(template_id=template_id, actions=actions );"
+                     tal:attributes="class python:test(show_border,'documentEditable','')">
+
+                  <metal:ifborder tal:condition="show_border" >
+                    <div metal:use-macro="here/global_contentviews/macros/content_views">
+                      The content views (View, Edit, Properties, Workflow)
+                    </div>
+
+                    <div metal:use-macro="here/global_contentviews/macros/content_actions">
+                      The content bar
+                    </div>
+                  </metal:ifborder>
+
+                  <div class="documentContent" id="region-content">
+
+                    <a name="documentContent"></a>
+
+                    <div metal:use-macro="here/global_statusmessage/macros/portal_message">
+                      Portal status message
+                    </div>
+
+                    <metal:header metal:define-slot="header" tal:content="nothing">
+                      Visual Header
+                    </metal:header>
+
+                    <metal:bodytext metal:define-slot="main" tal:content="nothing">
+                      Page body text
+                    </metal:bodytext>
+
+                    <metal:sub metal:define-slot="sub">
+                      <metal:discussion use-macro="here/viewThreadsAtBottom/macros/discussionView" />
+                    </metal:sub>
+
+                  </div>
+
+                </div>
+
+              </metal:block>
+            </td>
+            <tal:comment replace="nothing"> End of main content block </tal:comment>
+
+            <tal:comment replace="nothing"> Start of right column </tal:comment>
+            <td id="portal-column-two"
+                metal:define-slot="column_two_slot"
+                tal:condition="sr">
+              <div class="visualPadding">
+                <metal:portlets define-slot="portlets_two_slot">
+                  <metal:rightportlets use-macro="here/portlets_fetcher/macros/right_column">
+                    This instruction gets the portlets (boxes) for the right column.
+                  </metal:rightportlets>
+                </metal:portlets>
+                &nbsp;
+              </div>
+            </td>
+            <tal:comment replace="nothing"> End of the right column </tal:comment>
+          </tr>
+        </tbody>
+      </table>
+      <tal:comment replace="nothing"> end column wrapper </tal:comment>
+
+      <div class="visualClear"><!-- --></div>
+
+
+      <hr class="netscape4" />
+
+      <metal:block i18n:domain="plone">
+
+        <metal:footer use-macro="here/footer/macros/portal_footer">
+          Footer
+        </metal:footer>
+
+      </metal:block>
+
+    </div>
+
+</body>
+</html>
+</metal:page>
Index: /WAEUPCMS/skins/WAEUP/portlet_calendar.pt
===================================================================
--- /WAEUPCMS/skins/WAEUP/portlet_calendar.pt	(revision 1)
+++ /WAEUPCMS/skins/WAEUP/portlet_calendar.pt	(revision 1)
@@ -0,0 +1,108 @@
+<html xmlns:tal="http://xml.zope.org/namespaces/tal"
+      xmlns:metal="http://xml.zope.org/namespaces/metal"
+      i18n:domain="plone">
+
+<body>
+
+<div metal:define-macro="portlet"
+     tal:omit-tag=""
+     tal:define="DateTime python:modules['DateTime'].DateTime;
+                 current python:DateTime();
+                 current_day current/day;
+                 yearmonth here/getYearAndMonthToDisplay;
+                 nextYearMax python: current+365;
+                 prevYearMin python: current-365;
+                 year python:yearmonth[0];
+                 month python:yearmonth[1];
+                 prevMonthTime python:here.getPreviousMonth(month, year);
+                 nextMonthTime python:here.getNextMonth(month, year);
+                 weeks python:here.portal_calendar.getEventsForCalendar(month, year);
+                 anchor_url request/anchor_url | here_url;
+                 query_string python:request.get('orig_query', None);
+                 query_string python: (query_string is None and request.get('QUERY_STRING', None)) or query_string;
+                 url_quote python:modules['Products.PythonScripts.standard'].url_quote;
+                 anchor_method request/anchor_method | template/getId;
+                 translation_service nocall:here/translation_service;"
+     tal:condition="python:here.getId() in ['events', 'previous']">                       <!-- included, HB -->
+    <!-- The calendar, rendered as a table -->
+
+    <table class="ploneCalendar" id="thePloneCalendar" summary="Calendar" i18n:attributes="summary summary_calendar;">
+        <thead>
+            <tr>
+                <th id="calendar-previous">
+                    <a href="#" rel="nofollow"
+                       title="Previous month"
+                       tal:attributes="href python:'%s/%s?%s&amp;month:int=%d&amp;year:int=%d&amp;orig_query=%s' % (anchor_url, anchor_method, query_string, prevMonthTime.month(),prevMonthTime.year(),url_quote(query_string))"
+                       tal:condition="python: yearmonth > (prevYearMin.year(), prevYearMin.month())"
+                       i18n:attributes="title title_previous_month;">&laquo;</a>
+                </th>
+                <th colspan="5">
+                    <span i18n:translate="" tal:omit-tag="">
+                        <span i18n:name="monthname">
+                            <span tal:define="month_english python:translation_service.month_english(month);"
+                                  tal:attributes="id string:calendar-month-$month_english"
+                                  tal:content="python: here.utranslate(translation_service.month_msgid(month), default=month_english)"
+                                  id="calendar-month-month">&nbsp;</span>
+                        </span>
+                        <span i18n:name="year"
+                              tal:content="string:$year"
+                              tal:attributes="id string:calendar-year-$year;"
+                              id="calendar-year">&nbsp;</span>
+                    </span>
+                </th>
+                <th id="calendar-next">
+                    <a href="#" rel="nofollow"
+                       title="Next month"
+                       tal:attributes="href python:'%s/%s?%s&amp;month:int=%d&amp;year:int=%d&amp;orig_query=%s' % (anchor_url, anchor_method, query_string, nextMonthTime.month(),nextMonthTime.year(),url_quote(query_string))"
+                       tal:condition="python: yearmonth &lt; (nextYearMax.year(), nextYearMax.month())"
+                       i18n:attributes="title title_next_month;">&raquo;</a>
+                </th>
+            </tr>
+            <tr tal:define="weekdaynumbers here/portal_calendar/getDayNumbers" class="weekdays">
+                <tal:data tal:repeat="daynumber weekdaynumbers">
+                    <td tal:define="weekday_english python:translation_service.weekday_english(daynumber);"
+                        tal:content="python: here.utranslate(translation_service.day_msgid(daynumber, format='s'), default=weekday_english)">Su</td>
+                </tal:data>
+            </tr>
+        </thead>
+
+        <tal:comment replace="nothing"><!--
+        Sorry for the obtuse formatting below (the stray end-of-tag markers), but until
+        tal:block doesn't render an entire line of blank space when used, this is the only way.
+        --></tal:comment>
+        <tbody>
+            <tr tal:repeat="week weeks"
+            ><tal:block repeat="day week"
+            ><tal:block define="daynumber day/day;
+                                int_daynumber python: int(daynumber);
+                                day_event day/event;
+                                is_today python: current_day==int_daynumber and current.month()==month and current.year()==year">
+               <td class="event" tal:condition="day_event"
+                      tal:attributes="class python:test(is_today, 'todayevent', 'event')"
+                   ><tal:data tal:define="cur_date python:DateTime(year,month,int_daynumber);
+                                          begin python:url_quote((cur_date.latestTime()).ISO());
+                                          end python:url_quote(cur_date.earliestTime().ISO());"
+                              tal:omit-tag=""
+                     ><a href=""
+                         tal:attributes="href string:${here/portal_url}/search?review_state=published&amp;start.query:record:list:date=${begin}&amp;start.range:record=max&amp;end.query:record:list:date=${end}&amp;end.range:record=min;
+                                         title python:'\n'.join([here.toLocalizedTime(cur_date)]+[here.getEventString(e) for e in day['eventslist']]);"
+                         tal:content="python: daynumber or default">
+                      31
+                      </a
+                   ></tal:data>
+                </td
+                ><tal:notdayevent tal:condition="not: day_event"
+               ><td tal:attributes="class python:test(is_today,'todaynoevent',None)"
+                    tal:content="python: daynumber or default"></td
+               ></tal:notdayevent
+            ></tal:block
+            ></tal:block>
+            </tr>
+        </tbody>
+    </table>
+
+</div>
+
+</body>
+
+</html>
Index: /WAEUPCMS/skins/WAEUP/portlet_name.pt
===================================================================
--- /WAEUPCMS/skins/WAEUP/portlet_name.pt	(revision 1)
+++ /WAEUPCMS/skins/WAEUP/portlet_name.pt	(revision 1)
@@ -0,0 +1,37 @@
+<html xmlns:tal="http://xml.zope.org/namespaces/tal"
+      xmlns:metal="http://xml.zope.org/namespaces/metal"
+      i18n:domain="plone">
+
+<body>
+
+<!-- The personal bar box by HB-->
+
+<div metal:define-macro="portlet">
+
+  <dl class="portlet" id="portlet-name">
+
+    <dt class="portletHeader" tal:content="member/fullname | user/getUserName"></dt>
+     
+    <dd class="portletItemLast"> 
+
+     <ul>
+      <tal:actions tal:repeat="action python:here.getOrderedUserActions(keyed_actions=keyed_actions, 
+                                                                        ordering = {'pre' : ['preferences', 'mystuff', 'webmail', 'svnrepos', 'svninter', 'usermanagement', 'ldap', 'undo'], 
+                                                                                    'post' : ['plone_setup', 'logout']})">
+
+          <li>
+              <a href=""
+                 tal:attributes="href action/url"
+                 accesskey="accesskeys-personalbar"
+                 i18n:attributes="accesskey">
+                 <tal:actionname i18n:translate="" tal:content="action/name">dummy</tal:actionname>
+              </a>
+          </li>
+      </tal:actions>
+     </ul>
+
+     </dd>
+  </dl>
+</div>
+</body>
+</html>
Index: /WAEUPCMS/skins/WAEUP/waeup.css.dtml
===================================================================
--- /WAEUPCMS/skins/WAEUP/waeup.css.dtml	(revision 1)
+++ /WAEUPCMS/skins/WAEUP/waeup.css.dtml	(revision 1)
@@ -0,0 +1,101 @@
+/* <dtml-with base_properties> (do not remove this :) */
+/* <dtml-call "REQUEST.set('portal_url', portal_url())"> (not this either :) */
+
+/* In portlets.css */
+
+.portletHeader {
+    background-color: &dtml-globalBackgroundColor;;
+    border: &dtml-borderWidth; &dtml-borderStyle; &dtml-globalBorderColor;;
+    border-bottom: none;
+    padding: 0.2em 0em 0em 1em;
+    text-transform: &dtml-textTransform;;
+    font-weight: bold;
+    line-height: 1.6em;
+}
+
+
+/* In public.css */
+
+#portal-breadcrumbs {
+    /* The path bar, including breadcrumbs and add to favorites */
+    border-bottom-color: &dtml-globalBorderColor;;
+    border-bottom-style: &dtml-borderStyle;;
+    border-bottom-width: &dtml-borderWidth;;
+    border-bottom: none;
+    padding-left: 3em;
+    padding-right: 2em;
+    text-transform: &dtml-textTransform;;
+    line-height: 1.6em;
+}
+
+
+
+
+#portal-footer {
+    background-color: &dtml-globalBackgroundColor;;
+    border-top: &dtml-borderWidth; &dtml-borderStyle; &dtml-globalBorderColor;;
+    border-bottom: &dtml-borderWidth; &dtml-borderStyle; &dtml-globalBorderColor;;
+    float: none;
+    line-height: 1.2em;
+    margin: 2em 0em 1em 0em;
+    padding: 0em 1.2em 0em 1.2em;
+    text-align: center;
+}
+
+
+#portal-footer a {
+    text-decoration: none;
+    color: &dtml-discreetColor;;
+    border: none;
+}
+
+#portal-footer a:visited {
+    color: &dtml-discreetColor;;
+    background-color: transparent;
+}
+
+
+/* In base.css */
+
+
+h1 {
+    font-size: 160%;
+}
+h2 {
+    font-size: 150%;
+    border-bottom: none;
+}
+
+h3 {
+    font-size: 140%;
+    border-bottom: none;
+    font-weight: bold;
+}
+
+h4 {
+    font-size: 120%;
+    border-bottom: none;
+    font-weight: bold;
+}
+
+h5 {
+    font-size: 100%;
+    border-bottom: none;
+    font-weight: bold;
+}
+
+h6 {
+    font-size: &dtml-fontSmallSize;;
+    border-bottom: none;
+    font-weight: bold;
+}
+
+ul {
+    line-height: 1.5em;
+    margin: 0.5em 0 0 1.5em;
+    padding: 0;
+    list-style-type: circle;
+    list-style-image: none;
+}
+
+/* </dtml-with> */
Index: /WAEUPCMS/skins/WAEUP/waeup.css.dtml.metadata
===================================================================
--- /WAEUPCMS/skins/WAEUP/waeup.css.dtml.metadata	(revision 1)
+++ /WAEUPCMS/skins/WAEUP/waeup.css.dtml.metadata	(revision 1)
@@ -0,0 +1,2 @@
+[default]
+title = WAEUP additional style sheet
